rxvt-unicode (9.31-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:57:09 +1100

rxvt-unicode (9.31-3build1) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:04:10 +0100

rxvt-unicode (9.31-3) unstable; urgency=medium

  * Fix OSC responses with 7-bit ST (Closes: #1064039)
  * Drop patch 18_Fix-UTF-8-display-with-perl-5.38.diff applied to fix
    #1060456: no longer needed now that Perl has been fixed.

 -- Ryan Kavanagh <rak@debian.org>  Tue, 20 Feb 2024 11:54:25 -0500

rxvt-unicode (9.31-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Replace dependency on gtk2 (Closes: #967734)

  [ Ryan Kavanagh ]
  * Fix UTF-8 display with perl >= 5.38 (Closes: #1060456)

 -- Ryan Kavanagh <rak@debian.org>  Fri, 12 Jan 2024 10:26:10 -0500

rxvt-unicode (9.31-1) unstable; urgency=medium

  * New upstream version 9.31 (Closes: CVE-2022-4170)
  * Drop 18_man_typo.diff, applied upstream
  * Update copyright years
  * Bump standards version to 4.6.2
  * Drop Debian.NEWS: most recent news dates back to oldoldstable
  * Update lintian-overrides to handle renamed tags and new perl scripts

 -- Ryan Kavanagh <rak@debian.org>  Thu, 03 Aug 2023 10:05:54 -0400

rxvt-unicode (9.30-2) unstable; urgency=medium

  * Add build-dependency on libxmu-dev (Closes: #1001042, #1001955)
  * Fix typo in man page, 18_man_typo.diff

 -- Ryan Kavanagh <rak@debian.org>  Sun, 19 Dec 2021 15:37:35 -0500

rxvt-unicode (9.30-1) unstable; urgency=medium

  * New upstream release
    + Do not treat [] as control chars (Closes: #995244)
    + libptytty was forked into an external package.
      Add libptytty-dev as a build-dependency
  * Drop the following patches, which were applied upstream:
    + 02_use_dejavu.diff
    + 18_expand_urxvt-tabbed.1.diff
    + 19_tabbed_extension.diff
  * Update copyright years
  * Update lintian overrides to deal with renames
  * Fix lexgrog entry for urclock, 11_fix_lexgrog.diff

 -- Ryan Kavanagh <rak@debian.org>  Sat, 18 Dec 2021 10:39:16 -0500

rxvt-unicode (9.26-2) unstable; urgency=medium

  * Upload upstream version 9.26 to unstable
  * Remove trailing whitespace from changelog
  * Bump standards version to 4.6.0
  * Update renamed lintian overrides

 -- Ryan Kavanagh <rak@debian.org>  Sun, 12 Sep 2021 10:07:06 -0400

rxvt-unicode (9.26-1) experimental; urgency=medium

  * New upstream version 9.26
    + drop patches applied upstream: 13_document_modifiers.diff,
      19_sigsegv_perl_environ.diff, 20_disable_escape_sequence.diff
    + Update copyright file
  * Upload to experimental because of freeze
    + set git branch to debian/experimental
  * Fix bug in tabbed extension, 19_tabbed_extension.diff
  * We require autoconf (>= 2.71); explicitly mark build-dependency
  * Drop transitional packages that are already in buster: aterm
    (Closes: #940779), aterm-ml (Closes: #940780), rxvt, rxvt-ml,
    rxvt-unicode-256color, rxvt-unicode-lite
  * Bump watch file version to 4
  * Bump standards version to 4.5.1

 -- Ryan Kavanagh <rak@debian.org>  Sun, 13 Jun 2021 12:56:17 -0400

rxvt-unicode (9.22-11) unstable; urgency=medium

  * Disable ESC G Q escape sequence, 20_disable_escape_sequence.diff
    (Closes: #988763, CVE-2021-33477)

 -- Ryan Kavanagh <rak@debian.org>  Fri, 21 May 2021 10:48:43 -0400

rxvt-unicode (9.22-10) unstable; urgency=medium

  * Correct a mistake in 19_sigsegv_perl_environ.diff

 -- Ryan Kavanagh <rak@debian.org>  Sat, 20 Mar 2021 12:48:03 -0400

rxvt-unicode (9.22-9) unstable; urgency=medium

  * Fix segfault at exit, 19_sigsegv_perl_environ.diff (Closes: #981010)
  * Bump copyright years

 -- Ryan Kavanagh <rak@debian.org>  Sat, 20 Mar 2021 10:18:47 -0400

rxvt-unicode (9.22-8) unstable; urgency=medium

  * Fix incorrect manpage output due to 12_hyphen_minus_sign.diff
  * Revert patch 15_perl_path.diff and override interpreter-not-absolute and
    wrong-path-for-interpreter and spare-manual-page for perl extensions
  * Revert patch 19_disable_lpr_printpipe.diff . Though the default behaviour
    can accidentally leak information to a printer, it has come to be expected
    by users, and can be locally overridden if desired.

 -- Ryan Kavanagh <rak@debian.org>  Wed, 29 Jul 2020 11:48:03 -0400

rxvt-unicode (9.22-7) unstable; urgency=medium

  * Don't literally print screens by default, 19_disable_lpr_printpipe.diff
    (Closes: #955980)
  * Added missing build-dependency on libpod-parser-perl (Closes: #961149)
  * Switch to debhelper compat 13
  * gbp configuration: follow DEP14, and make dch use meta tag information
  * The Debian NEWS file was incorrectly named; renamed debian/NEWS.Debian ->
    debian/NEWS
  * Bump standards version to 4.5.0

 -- Ryan Kavanagh <rak@debian.org>  Thu, 23 Jul 2020 12:34:10 -0400

rxvt-unicode (9.22-6) unstable; urgency=medium

  * Revert the 24bit colour patch. Though no issues seem to arise when using
    the default resource values, it seems to cause many issues if changes are
    made to resources related to colour.
    (Closes: #922268, #922289, #922297, #922298, #922299)

 -- Ryan Kavanagh <rak@debian.org>  Thu, 14 Feb 2019 12:00:54 -0500

rxvt-unicode (9.22-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Antoine Beaupré ]
  * add support for 24bit colors (Closes: #920826)

  [ Ryan Kavanagh ]
  * Bump standards version to 4.3.0, no changes required
  * Update perl path in font-size script
  * Suggest sensible-utils package, which provides binaries used by the
    matcher and selection-popup extensions
  * Invoke dpkg-maintscript-helper from rxvt.maintscript instead of maintainer
    scripts

 -- Ryan Kavanagh <rak@debian.org>  Thu, 07 Feb 2019 15:09:48 -0500

rxvt-unicode (9.22-4) unstable; urgency=medium

  * Fix insecure temporary file handling in urxvt(7), 17_unsafe_man.diff
    (Closes: #654986)
  * Make rxvt-unicode Multi-Arch: foreign (Closes: #737319)
  * Don't surprise users with a change of TERM: updated NEWS.Debian
  * Set the StartupWMClass in desktop files (Closes: #763745)
  * Expand macros in perl extensions' manpages (Closes: #858385)
  * Set Vcs-* to point to salsa
  * Prefer ncurses-base over ncurses-term now that it carries the
    rxvt-unicode-256color terminfo entry (Closes: #899323)
  * Bump standards version to 4.1.4
  * Don't try to fix permissions for arch-related files on arch-independent
    builds (Closes: #901115)
  * Drop file 06_debian_docs.diff from the source package; we stopped applying
    the patch in 2015
  * The override_dh_fixperms-arch target in debian/rules requires fakeroot.
    Set Rules-Requires-Root field to binary-targets in debian/control
  * Drop unneeded lintian override about a spelling mistake in copyright file

 -- Ryan Kavanagh <rak@debian.org>  Wed, 20 Jun 2018 16:44:23 -0400

rxvt-unicode (9.22-3) unstable; urgency=medium

  * Remove obsolete config file /etc/metu-methods/rxvt (Closes: #886388)

 -- Ryan Kavanagh <rak@debian.org>  Fri, 05 Jan 2018 11:28:33 -0500

rxvt-unicode (9.22-2) unstable; urgency=medium

  * Better document modifiers, 13_document_modifiers.diff (Closes: #839769)
  * Drop rxvt-unicode-ml transition package (Closes: #878860)
  * Rename rxvt-unicode-256color to rxvt-unicode and creating dummy
    transitional packages transitioning the following packages to rxvt-unicode
    (Closes: #848284)
    + rxvt-unicode-lite
    + rxvt-unicode256color
    + rxvt and rxvt-ml
    + aterm and aterm-ml
    This involves removing their entries for the rxvt alternative and manually
    creating the appropriate links from the old executable path to urxvt.
  * Update short description for rxvt-unicode to reflect it offers -256color
  * Override conflicts-with-version between rxvt-unicode-*: these packages
    cannot be unpacked at the same time
  * Bump standards version to 4.1.3
  * Simplify and modernize rules file. Rather than compile the terminfo entry
    and then delete it from the package, let's just not build it:
    16_no_terminfo.diff
  * Enable all hardening flags
  * Bump debhelper to >= 11 and compat to 11. Drop build-dependency on
    dh-autoreconf: dh >= 11 deals with it for us
  * Drop old patches we no longer apply from source package
  * Switch copyright file to DEP-5 format
  * Lintian likes complaining about someone's name: override
    spelling-error-in-copyright
  * Override duplicate-short-description for transitional packages
  * Install urxvt-font-size extension, 14_install_urxvt-font-size.diff
    (Closes: #844317)
  * Perl scripts should be executable and have correct path to perl
    interpreter in their shebangs, 15_perl_path.diff

 -- Ryan Kavanagh <rak@debian.org>  Wed, 03 Jan 2018 22:25:56 -0500

rxvt-unicode (9.22-1) unstable; urgency=medium

  * Imported Upstream version 9.22
  * Switch from ttf-dejavu to fonts-dejavu (Closes: #779509)
  * Drop menu files
  * Update copyright years
  * Bump compat to 9 and debhelper to >= 9.0.0
  * Bump standards-version to 3.9.8
  * Update Vcs-* URLs
  * Lintian shouldn't complain about people's names, overriding
    spelling-error-in-copyright
  * Enable build flags from hardening=+all

 -- Ryan Kavanagh <rak@debian.org>  Fri, 10 Jun 2016 15:52:43 -0400

rxvt-unicode (9.21-1) unstable; urgency=medium

  * Imported Upstream version 9.21
  * Bump standards version to 3.9.6; no changes required
  * Drop 06_debian_docs.diff; applied upstream
  * Update copyright years
  * Fix broken clean target in debian/rules; some changes were not being
    cleaned up.
  * Make builds reproducible: don't include timestamp in gzipped manpages
  * Drop unused lintian override:
    rxvt-unicode: manpage-has-errors-from-man usr/share/man/man7/urxvt.7.gz *

 -- Ryan Kavanagh <rak@debian.org>  Sun, 08 Feb 2015 10:53:10 -0500

rxvt-unicode (9.20-1) unstable; urgency=high

  * Imported Upstream version 9.20 (Closes: #746593)
    + This fixes a user-assisted arbitrary commands execution vulnerability
      that could be exploited using certain escape sequences in a crafted text
      file or program output (CVE-2014-3121)
  * Update copyright holders

 -- Ryan Kavanagh <rak@debian.org>  Fri, 02 May 2014 10:01:13 -0400

rxvt-unicode (9.19-1) unstable; urgency=medium

  [ Ryan Kavanagh ]
  * Imported Upstream version 9.19 (Closes: #731334)
  * Drop the following patches, applied upstream:
    + 13_section_mismatch.diff
    + 14_pod_errors.diff
    + 15_perl_518.diff
  * Update standards version to 3.9.5
  * Offer both 16x16 and 32x32 icons in menu (Closes: #723889)
  * Allow urxvt and urxvtd to update utmp (Closes: #500230)
    + Override lintian warning setgid-binary for /usr/bin/urxvt and
      /usr/bin/urxvtd

  [ James M Leddy ]
  * Added .desktop files so that we work with window managers like Gnome and
    Unity (Closes: #724623)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 21 Dec 2013 16:17:07 -0500

rxvt-unicode (9.18-3) unstable; urgency=low

  * Tabbed extension now works with Perl 5.18 (Closes: #721456),
    15_perl_518.diff
  * Make Vcs-* fields canonical
  * Drop manpage-has-errors-from-man override in rxvt-unicode-256color, no
    longer used
  * Update clean target to restore sources to pristine condition

 -- Ryan Kavanagh <rak@debian.org>  Sun, 01 Sep 2013 08:39:38 -0400

rxvt-unicode (9.18-2) unstable; urgency=low

  * Upload to unstable now that wheezy has been released
  * Merge in patch from gregor herrman fixing a FTBFS due to POD errors
    (Closes: #708026)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 26 May 2013 18:12:22 -0400

rxvt-unicode (9.18-1) experimental; urgency=low

  * Imported Upstream version 9.18
  * Added menu file for rxvt-unicode-256color (Closes: #690226)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 20 Apr 2013 17:55:45 -0400

rxvt-unicode (9.17-1) experimental; urgency=low

  * Imported Upstream version 9.17
    + Document Ctrl-Left/Right in tabbed extension (Closes: #684880)
    + Update copyright years
    + Refreshed patches
  * Take over maintainership of rxvt-unicode, team is long dead
  * Bump standards to 3.9.4
  * Re-enable -Wall, (Closes: #679796)
  * Cleanup more files upstream misses
  * Ignore certain auto-regenerated files in diff, see debian/source/options
  * Undo changes to auto-generated files in clean target, as mandated by
    policy
  * Set urxvtperl(3)'s .TH to 3 since we're installing in section 3,
    13_section_mismatch.diff
  * Update 11_fix_lexgrog.diff to deal with broken NAME in selection-popup
    manpage
  * Fix POD errors in urxvt manpage, 14_pod_errors.diff

 -- Ryan Kavanagh <rak@debian.org>  Thu, 21 Mar 2013 09:28:31 -0400

rxvt-unicode (9.15-2) unstable; urgency=low

  * Use hardening build flags via dpkg-buildflags
  * Bump standards version to 3.9.3

 -- Ryan Kavanagh <rak@debian.org>  Fri, 29 Jun 2012 10:35:09 -0400

rxvt-unicode (9.15-1) unstable; urgency=low

  * Imported Upstream version 9.15
    - Update people's copyright years
    - Refresh patches
  * Enable startup-notification for rxvt-unicode and rxvt-unicode-256color but
    not for rxvt-unicode-light (Closes: #656253)
    - Add libstartup-notification0-dev to B-D

 -- Ryan Kavanagh <rak@debian.org>  Mon, 30 Jan 2012 06:35:19 -0500

rxvt-unicode (9.14-1) unstable; urgency=low

  * Imported Upstream version 9.14
    - Updated copyright file
    - Includes perl extension to specify bell command (Closes: #633989)
    - Fixes bugs in tabbed extension (Closes: #531751, #511377, #459924)
    - Fixes redraw bug that occurs when window managers do not honour the size
      hints set by urxvt (Closes: #551898)
  * Added missing NMU to changelog
  * Recommend "fonts-vlgothic | fonts-japanese-gothic", not
    "ttf-sazanami-gothic". (Closes: #642533)
  * Drop 08_rebuild_docs.diff, upstream now supports rebuilding documentation
  * Update debian/rules to rebuild docs using upstream Makefile
  * rxvt-unicode-ml should be oldlibs/extra since it's a transition package

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 22 Dec 2011 18:09:33 -0500

rxvt-unicode (9.12-1) unstable; urgency=low

  * New upstream release
  * Dropped 13_fix_paste.diff, applied upstream

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 19 Jul 2011 15:09:15 -0400

rxvt-unicode (9.11-2) unstable; urgency=low

  * Fix paste in 9.11, 13_fix_paste.diff (Closes: #631264)
  * Added missing build-arch and build-indep targets to rules
  * Turn on DM-Upload-Allowed

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 23 Jun 2011 08:08:46 -0400

rxvt-unicode (9.11-1) unstable; urgency=low

  * New upstream release
    - No longer have selection extension get confused by Unicode cutchars
      (Closes: #616463)
    - Enable selection of lines with umlauted characters (Closes: #523072)
    - Document perl urxvt:: functions (Closes: #504817)
    - Set a default PATH_MAX to fix FTBFS on hurd (Closes: #624736)
    - Drop 13_screenoverlay_shortcut_clash.diff, applied upstream
  * This build will build against the latest perl (5.12) in unstable.
    (Closes: #625823, #625827)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 06 May 2011 07:19:52 -0400

rxvt-unicode (9.10-2) unstable; urgency=low

  * Fix the rxvt-unicode <-> rxvt-unicode-ml relationship to fix the
    depend/conflict cycle, (Closes: #613780)
  * Don't have C-M-X shortcuts make urxvt crash when X is accessed through a
    shift key (13_screenoverlay_shortcut_clash.diff)
  * Clean up files we've been leaving behind. (Closes: #578291)
  * Bump to standards version 3.9.2

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 30 Apr 2011 14:44:55 -0400

rxvt-unicode (9.10-1) unstable; urgency=low

  * New maintainer (Closes: #617542)
  * Imported Upstream version 9.10
    - Fixes regression, urxvtd no longer forks when it shouldn't
      (Closes: #613076)
    - Dropped 09_binutils_gold.diff, no longer needed
    - Replace libafterimage-dev with libgtk2.0-dev in B-D
  * Remove a copy of part of Decklin's homedir
  * Bump standards to 3.9.1
  * Bump compat to 7 and increment debhelper version to 7.0.0
  * Split up debian-changes-9.01-1 into a series of single patches
    - Set app-defaults path in 01_app-defaults.diff
    - Use DejaVu instead of Bitstream Vera in 02_use_dejavu.diff
    - Dropped xterm scrollbar border color patch, 03_fix_xterm_scrollbar.diff
    - Dropped patch 04_no_urgency_on_focus.diff
    - Dropped set default cutchars, fix double-click word selection,
      05_cutchars.diff
    - Elide obsolete documentation in 06_debian_docs.diff
    - Set correct path to file with color names in manpage,
      07_rgb_location.diff
    - Rebuild documentation, 08_rebuild_docs.diff
  * Split debian-changes-9.09-2 into single patches
    - Link against libfontconfig to fix FTBFS with binutils-gold,
      09_binutils_gold.diff
    - Dropped the metabit patch, 10_metabit.diff
  * In debian/rules:
     - Don't ignore all make errors on clean
     - plain-scroll is no longer a configure option, dropped it from our list
     - Use dh_autotools-dev_* instead of manually replacing config.guess,
       config.sub
     - dh_clean should be the last thing called in the clean target
     - Don't ship empty usr/{bin,share/pixmaps} and etc/X11/app-defaults
       in rxvt-unicode-ml
     - Don't install empty directory usr/share/pixmaps in rxvt-unicode-ml
  * Depend on ncurses-term >= 5.8-1 for rxvt-unicode-256color terminfo
    (Closes: #613226)
  * Fix malformed whatis entries (11_fix_lexgrog.diff)
  * Don't use hyphens as minus signs (12_hyphen_minus_sign.diff)
  * Added lintian overrides for tables that are too wide in urxvt.7. These are
    generated manpages and so these man warnings aren't really fixable.
  * Added homepage to control
  * rxvt-unicode-ml is a transition package depending on rxvt-unicode, don't
    install a menu entry since there is no accompanying binary.
  * Don't reference a symlink of the GPL from copyright file
  * set -e in maintainer scripts instead of '-e' option on #! line
  * Added Vcs-* fields
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 27 Mar 2011 07:36:20 -0400

rxvt-unicode (9.09-5) unstable; urgency=low

  * Split into rxvt-unicode-256color package

 -- Decklin Foster <decklin@red-bean.com>  Thu, 10 Feb 2011 13:03:21 -0500

rxvt-unicode (9.09-4) unstable; urgency=low

  * Recommend ncurses-term for regular/ml flavors (Closes: #605951)
  * Update -ml font depends (kochi -> sazanami)

 -- Decklin Foster <decklin@red-bean.com>  Wed, 08 Dec 2010 11:52:58 -0500

rxvt-unicode (9.09-3) unstable; urgency=low

  * Set TERM to rxvt-256color for regular and -ml flavors. This may be
    a temporary measure until we fork the "rxvt-unicode" terminfo entry;
    please send your feedback.

 -- Decklin Foster <decklin@red-bean.com>  Tue, 07 Dec 2010 11:33:49 -0500

rxvt-unicode (9.09-2) unstable; urgency=low

  [ Bhavani Shankar ]
  * Link against libfontconfig to fix FTBFS with binutils-gold (Closes:
    #604952)

  [ Decklin Foster ]
  * Enable 256 colors in regular and -ml flavors (hooray!) (Closes:
    #493481)
  * Fix handling of 'meta8' option for non-latin1 locales (Closes:
    #558725)

 -- Decklin Foster <decklin@red-bean.com>  Tue, 30 Nov 2010 01:34:55 -0500

rxvt-unicode (9.09-1) unstable; urgency=low

  * New upstream version
  * Switch to 3.0 (quilt) source format

 -- Decklin Foster <decklin@red-bean.com>  Mon, 15 Nov 2010 14:41:02 -0500

rxvt-unicode (9.07-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Disable use of epoll on Alpha and SPARC (Closes: #570689)

  [ Decklin Foster ]
  * Change xutils build-dep to xutils-dev (Closes: #575859)
  * Fix copyright notice
  * Use "Terminal Emulators" menu section

 -- Decklin Foster <decklin@red-bean.com>  Sun, 18 Apr 2010 21:55:23 -0400

rxvt-unicode (9.07-1) unstable; urgency=low

  * New upstream version
    - Fixes FTBFS non-const declaration in background.C (Closes: #560482)

 -- Decklin Foster <decklin@red-bean.com>  Thu, 14 Jan 2010 21:04:21 -0500

rxvt-unicode (9.06-3) unstable; urgency=low

  * Don't remove urxvtcd alternative if selected (Closes: #555310)
  * Fix x-terminal-emulator priority for urxvt

 -- Decklin Foster <decklin@red-bean.com>  Sun, 29 Nov 2009 22:00:45 -0500

rxvt-unicode (9.06-2) unstable; urgency=medium

  * Don't install an alternative for urxvtcd (due to #481123)

 -- Decklin Foster <decklin@red-bean.com>  Mon, 02 Nov 2009 11:11:44 -0500

rxvt-unicode (9.06-1) unstable; urgency=low

  * New upstream version
    - Uses PERL_SYS_INIT3 (Closes: #495066)
  * Disable libafterimage in -lite flavor (Closes: #493480)

 -- Decklin Foster <decklin@red-bean.com>  Sat, 08 Nov 2008 18:32:29 -0500

rxvt-unicode (9.05-4) unstable; urgency=low

  * Remove urxvtcd alternative in prerm (Closes: #503137)
    - Also, install its manual page as a slave.

 -- Decklin Foster <decklin@red-bean.com>  Sat, 25 Oct 2008 22:53:39 -0400

rxvt-unicode (9.05-3) unstable; urgency=low

  * Correct location of rgb.txt (Closes: #501728)
  * Fix xterm scrollbar border color

 -- Decklin Foster <decklin@red-bean.com>  Tue, 21 Oct 2008 17:03:42 -0400

rxvt-unicode (9.05-2) unstable; urgency=low

  * Remove quilt, put the following it git:
    - Elide very obsolete documentation of problems with sarge .deb
    - Fix sed and podselect invocations so that docs are generated
      correctly
    - Enable checking of app-defaults resources by default
    - Perl ext: set default cutchars, fix double-click word selection
  * Add example for shift-up/down arrow scrolling (suggested by Nico
    Golde)
  * Bitstream Vera -> DejaVu (code only! not in docs.) (Closes: #461289)
  * Don't set urgency hint if focused (Closes: #493981)

 -- Decklin Foster <decklin@red-bean.com>  Mon, 15 Sep 2008 18:36:06 -0400

rxvt-unicode (9.05-1) unstable; urgency=low

  * New Upstream Version

 -- Decklin Foster <decklin@red-bean.com>  Mon, 16 Jun 2008 21:15:27 -0400

rxvt-unicode (9.02-1) unstable; urgency=low

  * New upstream release, obsoletes urxvtc-destroy.patch
  * Preserve EWMH state and desktop properties in the tabbed extension
    (Closes: #459888)

 -- Decklin Foster <decklin@red-bean.com>  Tue, 29 Jan 2008 22:39:18 -0500

rxvt-unicode (8.9-2) unstable; urgency=low

  * Add patch to prevent urxvtd crashing when urxvtc is passed an illegal
    option. (Closes: #460560)

 -- Decklin Foster <decklin@red-bean.com>  Tue, 15 Jan 2008 22:23:06 -0500

rxvt-unicode (8.9-1) unstable; urgency=low

  * New upstream release.
  * Don't refer to CFLAGS in debian/rules, as we are actually setting
    CXXFLAGS.

 -- Decklin Foster <decklin@red-bean.com>  Wed, 26 Dec 2007 21:56:16 -0500

rxvt-unicode (8.7-2) unstable; urgency=high

  * Set EV_USE_POLL to 1 on powerpc, to work around a particularly nasty
    bug where libev would consistently abort with a failed assertion on
    startup. Current versions are already fixed, but this patch is being
    uploaded to replace the broken 8.7-1 in testing. (Closes: #457658)

 -- Decklin Foster <decklin@red-bean.com>  Wed, 26 Dec 2007 20:19:17 -0500

rxvt-unicode (8.7-1) unstable; urgency=low

  * New upstream release (Closes: #455541)
    - libafterimage now used for pixmap support (Closes: #448663)
    - Merges man-typos.patch, popup-https.patch, sensible-browser.patch
  * All flavors but -lite will depend on libafterimage, but XIM and
    ISO14775 are now only in -ml so as not to bother users who don't want
    them. (Closes: #393847)
  * Fix groff copypasta in select-quoted.patch
  * Don't install rxvt.1.gz as a slave alternative twice (Closes: #412062)

 -- Decklin Foster <decklin@red-bean.com>  Wed, 12 Dec 2007 19:45:22 -0500

rxvt-unicode (8.4-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Sat, 27 Oct 2007 21:08:55 -0400

rxvt-unicode (8.3-2) unstable; urgency=low

  * Fix sed and podselect invocations so that docs are generated correctly
    (Closes: #437364)

 -- Decklin Foster <decklin@red-bean.com>  Sun, 12 Aug 2007 02:24:21 -0400

rxvt-unicode (8.3-1) unstable; urgency=low

  * New upstream release (Closes: #433004)
    - Rolled with autoconf 2.61 (Closes: #422540)
  * Match https URLs in selection-popup (Closes: #428659)
  * Fix typos in urxvtperl(3) (Closes: #411074, #415848)
  * Use sensible-browser instead of x-www-browser directly (Closes: #415846)
  * Added urxvtcd as alternative (Closes: #381967)

 -- Decklin Foster <decklin@red-bean.com>  Fri, 03 Aug 2007 12:44:44 -0400

rxvt-unicode (7.9-2) unstable; urgency=low

  * Edit the comments in the app-defaults file, and disable all settings by
    default. If font autoselection fails, I would prefer to open a new bug
    specifically for that. (Closes: #385481)
  * Reorganize and edit README.Debian, pushing as much as possible into FAQ
    format (with resource setting issues first).

 -- Decklin Foster <decklin@red-bean.com>  Fri,  1 Sep 2006 14:44:58 -0400

rxvt-unicode (7.9-1) unstable; urgency=low

  * New upstream release
    - Fixes environment-corruption bug (Closes: #380348)

 -- Decklin Foster <decklin@red-bean.com>  Sun, 27 Aug 2006 12:57:01 -0400

rxvt-unicode (7.8-2) unstable; urgency=low

  * Added select-quoted.patch, to set default cutchars for the Perl selection
    extension and fix double-click selection of words. (Closes: #377194)
  * Don't generate intermediate .pod file in doc/Makefile, since we would have
    to explicitly clean it before generating the .diff.gz anyway.

 -- Decklin Foster <decklin@red-bean.com>  Fri, 28 Jul 2006 02:35:21 -0400

rxvt-unicode (7.8-1) unstable; urgency=low

  * New upstream release. Updated patches:
    - Merged upstream: grammar.patch, faq-section.patch
    - Updated: generate-docs.patch
    - Obsolete: make-docs.patch, man-title.patch
  * Check for exit status of 2 in urxvtcd, and use -q (Closes: #379201)
  * Update Standards-Version to 3.7.2.

 -- Decklin Foster <decklin@red-bean.com>  Sun, 23 Jul 2006 11:21:09 -0400

rxvt-unicode (7.7-4) unstable; urgency=low

  * Changed several uses of "it's" to "its" in man pages. (Closes: #365036)
  * Added urxvtcd man page.

 -- Decklin Foster <decklin@red-bean.com>  Thu, 27 Apr 2006 10:03:50 -0400

rxvt-unicode (7.7-3) unstable; urgency=low

  * Add >= -5.1 to Xft build-dep (Closes: #360961)
  * Explicitly enable Perl in default flavor. Death of -ml imminent.
    (Closes: #360053)

 -- Decklin Foster <decklin@red-bean.com>  Wed,  5 Apr 2006 14:48:34 -0400

rxvt-unicode (7.7-2) unstable; urgency=low

  * Re-rebuild against Xft NMU. (Closes: #351371, #358710)
  * Enable checking of app-defaults resources by default (Closes: #348697)
  * Updated and edited FAQ a bit more.

 -- Decklin Foster <decklin@red-bean.com>  Fri, 24 Mar 2006 02:33:06 -0500

rxvt-unicode (7.7-1) unstable; urgency=low

  * Adopting package. (Closes: #348719)
  * The following bugs have been fixed in previous Debian revisions:
    - An x-terminal-emulator alternative is provided (Closes: #314977)
    - /dev/tty is now readable by default (this was actually a bug in makedev
      which was not reassigned for some reason.) (Closes: #246059)
  * New upstream release:
    - Cleans up eaves zombie shell processes in urxvtd (Closes: #339833)
    - Handling of bold "special" characters fixed (Closes: #294582)
    - Setting/pasting of PRIMARY selection fixed (Closes: #328965, #291587)
    - #284257, should no longer happen, but I don't have a PPC.
  * Rebuild against new Xft (Closes: #352168, #351371)
  * Enable Perl support in rxvt-unicode-ml.
  * Switch from dpatch to quilt.
  * Fix documentation of utmp/wtmp permissions (Closes: #342738)
  * Add FSF address to debian/copyright.
  * Remove -D from install call (breaks with Ubuntu's coreutils).
  * Set resource class to URxvt and fallback class to Rxvt for all flavors.
    (Closes: #263123, #270160)
  * Document the fact that $TERM defaults to rxvt-unicode (not rxvt), and how
    to change this with X resources. Users do not (and should not) have to
    compile terminfo entries, so remove these from examples; ncurses-base
    provides a proper one already. (Closes: #351872)
  * Install alternative for rxvt.1.gz. (Closes: #355069)
  * Specify default fontset in app-defaults. (Closes: #348666)
  * Removed debian/urxvtc.1 (superseded by upstream).
  * Run pod2man using the name (i.e page heading) "urxvt" rather than "rxvt".
    (Closes: #354904)
  * Added urxvtcd script to automatically start urxvtd if necessary and run
    urxvtc. (Closes: #347434)
  * Added watch file.

 -- Decklin Foster <decklin@red-bean.com>  Fri, 10 Mar 2006 16:41:50 -0500

rxvt-unicode (7.5-1) unstable; urgency=low

  * Orphaning the package, maintainer changed to QA
  * New upstream release
  * added build-dep on libperl-dev

 -- Eduard Bloch <blade@debian.org>  Fri,  3 Feb 2006 14:29:33 +0100

rxvt-unicode (7.0-1) unstable; urgency=low

  * New upstream release
    + autodetection of (incorrect) Latin1 in pure UTF-8 environment works
      again (closes: #347718)
  * removed the font name preset, automatic selection works acceptably well

 -- Eduard Bloch <blade@debian.org>  Mon, 16 Jan 2006 16:51:28 +0100

rxvt-unicode (6.3-1) unstable; urgency=low

  * New upstream release
    + From upstream changelog: - SECURITY FIX: on systems using openpty,
      permissions were not correctly updated on the tty device and were left as
      world-readable and world-writable (likely in original rxvt, too), and were
      not restored properly. Affected are only systems where non-unix ptys were
      used (such as most BSDs, not GNU/Linux). (found, patched and debugged by
      Ryan Beasley).
    + From upstream changelog: - meta8 support was forcefully enabled in most
      configurations.  restored configurability of this (useless) feature
      (reported by Mikachu). (closes: #346150, reopen if it doesn't)

 -- Eduard Bloch <blade@debian.org>  Fri,  6 Jan 2006 01:11:00 +0100

rxvt-unicode (6.2-1) unstable; urgency=low

  * New upstream release
  * --enable-xpm-background in !-lite flavors (closes: #337088)

 -- Eduard Bloch <blade@debian.org>  Mon,  2 Jan 2006 23:04:19 +0100

rxvt-unicode (5.8-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Wed, 26 Oct 2005 02:05:58 +0200

rxvt-unicode (5.7-1) unstable; urgency=low

  * The forgotten "New upstream release"
  * replaced xlibs-dev and x-dev with more granular package set
  * -lite and -ml flavors now provide x-terminal-emulator (closes: #314977)
  * enabled "next" scrollstyle in rxvt-unicode

 -- Eduard Bloch <blade@debian.org>  Sat, 01 Oct 2005 01:08:13 +0200

rxvt-unicode (5.6-1.0.1) unstable; urgency=low

  * Binary-only non-maintainer upload for hppa; no source changes.
  * Rebuild for libgcc1 -> libgcc2 transition

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Jul 2005 17:59:35 +0200

rxvt-unicode (5.6-1) unstable; urgency=low

  * New upstream release
  * using TERM=rxvt-unicode as default. Depends on current ncurses-base for
    now untill it has reached testing

 -- Eduard Bloch <blade@debian.org>  Sun,  3 Jul 2005 11:06:30 +0200

rxvt-unicode (5.5-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 24 Apr 2005 20:30:42 +0200

rxvt-unicode (5.4-1) unstable; urgency=low

  * New upstream release (various bugfixes)

 -- Eduard Bloch <blade@debian.org>  Fri, 22 Apr 2005 23:47:51 +0200

rxvt-unicode (5.3-1) unstable; urgency=high

  * New upstream release
    + fixes a probably exploitable bug that allowed to overflow a buffer
      via a long escape sequence

 -- Eduard Bloch <blade@debian.org>  Sun, 13 Mar 2005 10:47:57 +0100

rxvt-unicode (5.2-3) unstable; urgency=medium

  * README.Debian: corrected typos and overlong lines (closes: #297140, patch
    by Thomas Kappler <thomas.kappler@stud.uni-karlsruhe.de>)
  * added a chapter about differences from upstream installations

 -- Eduard Bloch <blade@debian.org>  Sun,  6 Mar 2005 10:36:05 +0100

rxvt-unicode (5.2-2) unstable; urgency=medium

  * changed the doc build to not regenerate the termcap file expecting an
    existing installation of rxvt-unicode terminfo file (closes: #298178)
  * disabled keysym overrides, seems to work with current bash and recent
    rxvt-unicode versions again

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Mar 2005 10:29:13 +0100

rxvt-unicode (5.2-1) unstable; urgency=low

  * New upstream release
  * disabled all Debian specific patches (except of docs changes),
    new version seems to work smooth again
  * set the default font to more concrete default, not allowing X to provide
    bad bitmap fonts

 -- Eduard Bloch <blade@debian.org>  Wed,  2 Mar 2005 08:34:48 +0100

rxvt-unicode (4.9-1) unstable; urgency=low

  * New upstream release
  * Updates on app-defaults file:
    - comments update (rxvt-unicode termino hint)
    - Added workarounds to make the numberic keypad keys behave like in
      xterm/konsole/etc.
    - removed the URxvt-shared suggestion, instead including URxvt-local after
      all defaults lines

 -- Eduard Bloch <blade@debian.org>  Wed, 09 Feb 2005 01:54:59 +0100

rxvt-unicode (4.8-1) unstable; urgency=medium

  * New upstream release
    + supports keycodes from the numpad better
    + -fade description improved (closes: #284369)
  * 07_bad_font_drawing.dpatch: fixes bad default Xft font size detection since
    version 4.7 and bad non-Xft font drawing in 4.8
  * 08_correct_debian_rand.dpatch: correcting the anti-Debian rants in the
    manpage with a reference to README.Debian.gz, also updated README.Debian.gz
    with a howto for installation of the alternative terminfo data
  * README.devenagari: documented problems and hints for devenagari usage
    (closes: #269891)

 -- Eduard Bloch <blade@debian.org>  Sun, 23 Jan 2005 11:24:19 +0100

rxvt-unicode (4.7-3) unstable; urgency=high

  * rebuilt with proper libgcc (closes: #289051)

 -- Eduard Bloch <blade@debian.org>  Fri, 07 Jan 2005 00:18:00 +0100

rxvt-unicode (4.7-2) unstable; urgency=high

  * Now installing the postinst/prerm with update-alternatives calls again
    (became commented after the last debian/rules rewrite... why did nobody
    tell me before?! closes: #288798)

 -- Eduard Bloch <blade@debian.org>  Wed, 05 Jan 2005 22:26:13 +0100

rxvt-unicode (4.7-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 30 Dec 2004 22:53:27 +0100

rxvt-unicode (4.5-1) unstable; urgency=medium

  * New upstream release
    - should solve some font size related issues (among others, closes:#284614)
  * reverted TERM to rxvt and removed the compiled terminfo file (left source
    in the examples directory for those who do read the docs). Let me say
    sorry for the mess I created WRT future upgrades of ncurses-base :(
    (closes: #271572, #270243)

 -- Eduard Bloch <blade@debian.org>  Mon, 13 Dec 2004 21:01:28 +0100

rxvt-unicode (4.3-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat,  4 Dec 2004 11:58:25 +0100

rxvt-unicode (4.1-1) unstable; urgency=low

  * New upstream release
  * enabled fading in normal and ml flavors (closes: #277917)

 -- Eduard Bloch <blade@debian.org>  Tue, 23 Nov 2004 18:31:32 +0100

rxvt-unicode (4.0+CVS20041003-1) experimental; urgency=low

  * New upstream release plus CVS updates
  * corrected icon position in pixmaps

 -- Eduard Bloch <blade@debian.org>  Sat, 30 Oct 2004 09:50:56 +0200

rxvt-unicode (3.9-3) unstable; urgency=high

  * don't try to refresh the docs, it truncates the manpage

 -- Eduard Bloch <blade@debian.org>  Sun, 29 Aug 2004 13:39:30 +0200

rxvt-unicode (3.9-2) unstable; urgency=high

  * 05_no_Xdefaults.dpatch: re-apply the custom X ressources from the X server
    after the distribution's ones have been loaded (closes: #268353). This one
    should really be fixed in Sarge
  * Compiled with utmp support and documented how to enable it in
    README.Debian (closes: #268344)
  * 06_bugfixes.dpatch: documentation typos update from upstream, based on the
    patch from Bastian Kleineidam (closes: #268219)

 -- Eduard Bloch <blade@debian.org>  Sat, 28 Aug 2004 11:06:20 +0200

rxvt-unicode (3.9-1) unstable; urgency=high

  * New upstream release (fixes few last-minute bugs)

 -- Eduard Bloch <blade@debian.org>  Wed, 25 Aug 2004 21:39:30 +0200

rxvt-unicode (3.8-1) unstable; urgency=high

  * New upstream release
    + bug fixes, including potential security problem (though low risk issue)
  * disabled 04_graceful_exit.dpatch, caused more harm and another fix seems
    to have been implemented by the upstream
  * removed obsolete docs from the packages
  * set a sane default font
  * updated our urxvtc.1 manpage and README.Debian to reflect recent upstream
    changes

 -- Eduard Bloch <blade@debian.org>  Wed, 25 Aug 2004 10:29:39 +0200

rxvt-unicode (3.5-1) unstable; urgency=medium

  * New upstream release
   + fixes a nasty bug in 3.4 and various other bugs inherited from the old
     rxvt source and also reported in the BTS (see changelog.gz for details)

 -- Eduard Bloch <blade@debian.org>  Wed, 11 Aug 2004 08:44:31 +0200

rxvt-unicode (3.4-1) unstable; urgency=low

  * New upstream release
  * added link urxvt.xpm -> urxvt_32x32.xpm for window managers

 -- Eduard Bloch <blade@debian.org>  Sat,  7 Aug 2004 12:05:37 +0200

rxvt-unicode (3.3-1) unstable; urgency=low

  * New upstream release
  * Tinting support now improved, documented the background setting issues in
    README.Debian (closes: #261922). Still problems with icewmbg but Esetroot
    works.

 -- Eduard Bloch <blade@debian.org>  Sat, 31 Jul 2004 16:17:54 +0200

rxvt-unicode (3.2-2) unstable; urgency=low

  * fixed the configuration rule for -lite in debian/rules which accidentaly
    was not executed so the configuration of the normal package was used
  * added the pixmaps in 16x16 and 48x48 for better use with IceWM
  * added bold-font setup example to the app-defaults file

 -- Eduard Bloch <blade@debian.org>  Fri, 30 Jul 2004 15:35:22 +0200

rxvt-unicode (3.2-1) unstable; urgency=low

  * New upstream release (bold font support and bugfixes)
  * updated README.Debian to reflect the upstream changes and include
    bold-font setup hints (closes: #240304)
  * documented why .Xdefaults does not work, in the manpage (dpatched) and
    in README.Debian (Closes: #259861)

 -- Eduard Bloch <blade@debian.org>  Tue, 27 Jul 2004 07:52:11 +0200

rxvt-unicode (3.1-1) unstable; urgency=low

  * New upstream release (fixes the funny scrollbar color effect)
  * increased the scroll buffer size to 512 lines (closes: #251718)

 -- Eduard Bloch <blade@debian.org>  Thu,  1 Jul 2004 15:47:48 +0200

rxvt-unicode (3.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Tue, 11 May 2004 09:11:42 +0200

rxvt-unicode (2.9-1) unstable; urgency=low

  * New upstream release
    + documentation cleanup (closes: #246035)
  * Set Provides: x-terminal-emulator (closes: #246584)
  * documented how to set arbitrary colours (closes: #247031)

 -- Eduard Bloch <blade@debian.org>  Sun,  9 May 2004 18:31:00 +0200

rxvt-unicode (2.8-1) unstable; urgency=low

  * New upstream release
    + fixed font list description in the manpage (closes: #236826)
    + new options for the secondaryScreen/Scroll (-ssr, -ssc, closes: #237673)
    + close down terminal window when child exits (closes: #241267)
  * alternative download location corrected

 -- Eduard Bloch <blade@debian.org>  Wed, 21 Apr 2004 12:34:11 +0200

rxvt-unicode (2.5-1) unstable; urgency=low

  * New upstream release
  * handles exceptions in urxvtc sanely (closes: #237510)

 -- Eduard Bloch <blade@debian.org>  Mon, 29 Mar 2004 01:45:09 +0200

rxvt-unicode (2.2-1) unstable; urgency=low

  * New upstream release
  * 03_build_fixes.dpatch enabled again, with fresh corrections from CVS
  * a smaller icon (32x32) choosen from the .ico contents
  * README.Debian: FAQ entry to URxvt resource naming (closes: #237515)
  * commented my color palette out and documented it in README.Debian
    (closes: #237677)

 -- Eduard Bloch <blade@debian.org>  Fri, 12 Mar 2004 16:08:33 +0100

rxvt-unicode (2.1-3) unstable; urgency=low

  * patch to not segfault loudly on rejected X11 connection (cosmetic)
  * linked the rxvtc manpage to urxvtd/urxvtc names
  * converted the menu icon to xpm and dropped icoutils dependency (caused
    FTBFS on arm anyways)
  * added menu file and Conflicts field to the -ml flavor (closes: #237559)

 -- Eduard Bloch <blade@debian.org>  Thu, 11 Mar 2004 23:54:13 +0100

rxvt-unicode (2.1-2) unstable; urgency=low

  * Config files cleanup: renamed rxvt-unicode's resource files to have the
    expected names
  * compatibility symlinks for rxvt-unicode name and its manpage
  * README.Debian update WRT new configuration paths

 -- Eduard Bloch <blade@debian.org>  Thu,  4 Mar 2004 08:23:46 +0100

rxvt-unicode (2.1-1) unstable; urgency=low

  * New upstream release
    + renamed executables to urxvt*
  * disabled 02_extra_xdefaults, using #include in the ressource files

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Mar 2004 12:51:35 +0100

rxvt-unicode (2.0-1) unstable; urgency=low

  * New upstream release
    + workarounds to build with gcc (<< 3.2)
    + build fixes for non-XIM/XFT config (disabled build_fixes dpatch)
  * 02_extra_xdefaults.dpatch: fixed to merge correctly

 -- Eduard Bloch <blade@debian.org>  Mon,  1 Mar 2004 11:18:52 +0100

rxvt-unicode (1.9-1) unstable; urgency=low

  * New upstream release
  * enabled XGetDefaults to provide systemwide config
  * removed remaining crap from the debian directory
  * 02_extra_xdefaults.dpatch: per-package default Xressource files

 -- Eduard Bloch <blade@debian.org>  Tue, 24 Feb 2004 17:41:07 +0100

rxvt-unicode (1.8-1) unstable; urgency=low

  * Initial Release (closes: #233565)

 -- Eduard Bloch <blade@debian.org>  Tue, 24 Feb 2004 09:03:51 +0100
